﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;
using Infragistics.Windows.DockManager.Events;

namespace XamDockManager
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            LoadLayout();
            hidealllayout();
        }

        private void LoadLayout()
        {
            try
            {
                using (var fileStream = new FileStream(@"D:\Samplelayout.xml", FileMode.Open, FileAccess.Read))
                {
                    SamplexamDockManager.LoadLayout(fileStream);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void ContentPane_OptionsMenuOpening(object sender, PaneOptionsMenuOpeningEventArgs e)
        {
            e.Items.Clear();
        }

        private void Cmdnames_SelectedChanged(object sender, SelectionChangedEventArgs e)
        {
            hidealllayout();
             int selectedIndex = cmdnames.SelectedIndex;
            switch (selectedIndex)
            {
                case 0:
                    A.Visibility = Visibility.Visible;
                    B.Visibility = Visibility.Visible;
                    C.Visibility = Visibility.Visible;
                    D.Visibility = Visibility.Visible;
                    break; 
                case 1:
                    E.Visibility = Visibility.Visible;
                    F.Visibility = Visibility.Visible;
                    G.Visibility = Visibility.Visible;
                    D.Visibility = Visibility.Visible;
                    break; 
                case 2:
                    A.Visibility = Visibility.Visible;
                    B.Visibility = Visibility.Visible;
                    E.Visibility = Visibility.Visible;
                    F.Visibility = Visibility.Visible;
                    break;  
                case 3:
                    A.Visibility = Visibility.Visible;
                    B.Visibility = Visibility.Visible;
                    C.Visibility = Visibility.Visible;
                    D.Visibility = Visibility.Visible;
                    E.Visibility = Visibility.Visible;
                    F.Visibility = Visibility.Visible;
                    G.Visibility = Visibility.Visible;
                    break;
            }
        }

        private void hidealllayout()
        {
            A.Visibility = Visibility.Collapsed;
            B.Visibility = Visibility.Collapsed;
            C.Visibility = Visibility.Collapsed;
            D.Visibility = Visibility.Collapsed;
            E.Visibility = Visibility.Collapsed;
            F.Visibility = Visibility.Collapsed;
            G.Visibility = Visibility.Collapsed;
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            using (var fileStream = new FileStream(@"D:\Samplelayout.xml", FileMode.Create, FileAccess.Write))
            {
                SamplexamDockManager.SaveLayout(fileStream);
            }
        }
    }
}
